[Cocci] [PATCH] coccinelle: flags.cocci: reorganize patterns to improve efficiency

Masahiro Yamada yamada.masahiro at socionext.com
Thu Nov 16 01:02:56 CET 2017


2017-11-16 7:02 GMT+09:00 Joe Perches <joe at perches.com>:
> On Wed, 2017-11-15 at 22:55 +0100, Julia Lawall wrote:
>> What version of Coccinelle do you have?
>> > I tried 1.0.4 and 1.0.6,
>> > but both failed.
>> For me, it also fails for 1.0.6.  It should be OK for 1.0.7.
>
> Then likely this patch should not be applied or
> some form of local version checking should be done
> in the script itself.
>
> Scripts that use various tools are subject to
> language versioning requirements.
>
> For instance, there are many things that are
> possible with later versions of perl, but are not
> done for various scripts because many distributions
> do not ship with the latest versions.
>


OK.

// Requires: 1.0.7

is necessary
and applicable after coccinelle 1.0.7 is released.




-- 
Best Regards
Masahiro Yamada


More information about the Cocci mailing list